sailpoint.tools

## Interface Util.ListElementWrapper<T>

Enclosing class:
  Util

    public static interface Util.ListElementWrapper<T>

A ListElementWrapper is responsible for wrapping (or transforming) each element of a List when the element is retrieved from the list.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `wrap(T element)` Wrap or transform the given list element.

### Method Detail

#### wrap

    T wrap(T element)

Wrap or transform the given list element.

Parameters:
  `element` - The element to wrap or transform.
Returns:
  A wrapper around the given element, or the element itself if the function of this ListElementWrapper is to just transform the element.